=== debian/changelog ===
haproxy (1.4.24-2ubuntu0.4) trusty; urgency=medium

  * debian/haproxy.init: Ensure that EXIT trap does not override the
    return status of the init script, which causes issues in tools that
    check return codes such as pacemaker (LP: #1526271).

 -- James Page <james.page@ubuntu.com>  Tue, 15 Dec 2015 15:07:13 +0000

haproxy (1.4.24-2ubuntu0.3) trusty; urgency=medium

  * debian/haproxy.init:
    - Loops through all PIDs present in the PIDFILE when
      nproc > 1 (LP: #1481737)

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 23 Sep 2015 17:45:41 +0200

haproxy (1.4.24-2ubuntu0.2) trusty; urgency=high

  * debian/haproxy.init:
    + Pass the pidfile to the --pidfile argument instead
      of the PID number. (LP: #1477198).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 22 Jul 2015 11:12:26 -0500

haproxy (1.4.24-2ubuntu0.1) trusty; urgency=medium

  * debian/haproxy.init:
     + Backport of utopic start/stop routines,
       uses start-stop-daemon to reliable terminate all
       haproxy processes and return the proper exit code.
       (LP: #1462495).
     + Backport of utopic check_haproxy_config routine,
       that test the configuration before start or reload.
       (LP: #1468879)

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Thu, 25 Jun 2015 12:51:05 -0700

haproxy (1.4.24-2) unstable; urgency=low

  [ Apollon Oikonomopoulos ]
  * Ship contrib/halog as /usr/bin/halog.
  
  [ Vincent Bernat ]
  * Don't use -L/usr/lib and rely on default search path. Closes: #722777.

 -- Vincent Bernat <bernat@debian.org>  Sun, 15 Sep 2013 14:36:27 +0200

haproxy (1.4.24-1) unstable; urgency=high

  [ Vincent Bernat ]
  * New upstream version.
     + CVE-2013-2175: fix a possible crash when using negative header
       occurrences.

  [ Prach Pongpanich ]
  * Drop bashism patch. It seems useless to maintain a patch to convert
    example scripts from /bin/bash to /bin/sh.
  * Fix reload/restart action of init script (LP: #1187469).

 -- Vincent Bernat <bernat@debian.org>  Mon, 17 Jun 2013 21:56:26 +0200

haproxy (1.4.23-1) unstable; urgency=low

  [ Apollon Oikonomopoulos ]
  * New upstream version (Closes: #643650, #678953)
     + This fixes CVE-2012-2942 (Closes: #674447)
     + This fixes CVE-2013-1912 (Closes: #704611)
  * Ship vim addon as vim-haproxy (Closes: #702893)
  * Check for the configuration file after sourcing /etc/default/haproxy
    (Closes: #641762)
  * Use /dev/log for logging by default (Closes: #649085)

  [ Vincent Bernat ]
  * debian/control:
     + add Vcs-* fields
     + switch maintenance to Debian HAProxy team. (Closes: #706890)
     + drop dependency to quilt: 3.0 (quilt) format is in use.
  * debian/rules:
     + don't explicitly call dh_installchangelog.
     + use dh_installdirs to install directories.
     + use dh_install to install error and configuration files.
     + switch to `linux2628` Makefile target for Linux.
  * debian/postrm:
     + remove haproxy user and group on purge.
  * Ship a more minimal haproxy.cfg file: no `listen` blocks but `global`
    and `defaults` block with appropriate configuration to use chroot and
    logging in the expected way.

  [ Prach Pongpanich ]
  * debian/copyright:
     + add missing copyright holders
     + update years of copyright
  * debian/rules:
     + build with -Wl,--as-needed to get rid of unnecessary depends
  * Remove useless files in debian/haproxy.{docs,examples}
  * Update debian/watch file, thanks to Bart Martens

 -- Vincent Bernat <bernat@debian.org>  Mon, 06 May 2013 20:02:14 +0200
