=== debian/watch ===
version=3
http://haproxy.1wt.eu/index.html .*/haproxy-(\d[^\-]*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
