## haproxy 1.4.25

=== debian/changelog ===
haproxy (1.4.25-1~bpo60+1) squeeze-backports-sloppy; urgency=medium

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Sat, 05 Apr 2014 01:54:15 +0200

haproxy (1.4.25-1) unstable; urgency=medium

  [ Prach Pongpanich ]
  * New upstream version.
  * Update watch file to use the source page.
  * Bump Standards-Version to 3.9.5.

  [ Thomas Bechtold ]
  * debian/control: Add haproxy-dbg binary package for debug symbols.

  [ Apollon Oikonomopoulos ]
  * Require syslog to be operational before starting. Closes: #726323.
  * Document how to bind non-local IPv6 addresses.
  * Add a reference to configuration.txt.gz to the manpage.
  * debian/copyright: synchronize with source.

 -- Prach Pongpanich <prachpub@gmail.com>  Fri, 28 Mar 2014 09:35:09 +0700

haproxy (1.4.24-2~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Sat, 28 Sep 2013 23:50:41 +0200

haproxy (1.4.24-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Mon, 17 Jun 2013 22:45:43 +0200

haproxy (1.4.23-1~bpo60+1) squeeze-backports-sloppy; urgency=low

  * Rebuild for squeeze-backports-sloppy.

 -- Vincent Bernat <bernat@debian.org>  Wed, 05 Jun 2013 20:33:53 +0200
