=== debian/rules ===
--- 
+++ 
@@ -46,3 +46,6 @@
 
 override_dh_installexamples:
 	dh_installexamples -X build.cfg
+
+override_dh_strip:
+	dh_strip --dbg-package=haproxy-dbg
