=== debian/watch ===
version=3
http://haproxy.1wt.eu/download/1.4/src/ haproxy-(\d[^\-]*)\.(?:tgz|tbz2|tar\.(?:gz|bz2|xz))
