## haproxy 1.5.3

=== debian/changelog ===
haproxy (1.5.3-1~ubuntu14.04.1) trusty-backports; urgency=medium

  * No-change backport to trusty (LP: #1336628)

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 25 Jul 2014 23:03:34 +0200

haproxy (1.5.3-1) unstable; urgency=medium

  * New upstream stable release, fixing the following issues:
    + Memory corruption when building a proxy protocol v2 header
    + Memory leak in SSL DHE key exchange

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 25 Jul 2014 10:41:36 +0300

haproxy (1.5.2-1) unstable; urgency=medium

  * New upstream stable release. Important fixes:
    + A few sample fetch functions when combined in certain ways would return
      malformed results, possibly crashing the HAProxy process.
    + Hash-based load balancing and http-send-name-header would fail for
      requests which contain a body which starts to be forwarded before the
      data is used.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 14 Jul 2014 00:42:32 +0300

haproxy (1.5.1-1) unstable; urgency=medium

  * New upstream stable release:
    + Fix a file descriptor leak for clients that disappear before connecting.
    + Do not staple expired OCSP responses.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Tue, 24 Jun 2014 12:56:30 +0300

haproxy (1.5.0-1) unstable; urgency=medium

  * New upstream stable series. Notable changes since the 1.4 series:
    + Native SSL support on both sides with SNI/NPN/ALPN and OCSP stapling.
    + IPv6 and UNIX sockets are supported everywhere
    + End-to-end HTTP keep-alive for better support of NTLM and improved
      efficiency in static farms
    + HTTP/1.1 response compression (deflate, gzip) to save bandwidth
    + PROXY protocol versions 1 and 2 on both sides
    + Data sampling on everything in request or response, including payload
    + ACLs can use any matching method with any input sample
    + Maps and dynamic ACLs updatable from the CLI
    + Stick-tables support counters to track activity on any input sample
    + Custom format for logs, unique-id, header rewriting, and redirects
    + Improved health checks (SSL, scripted TCP, check agent, ...)
    + Much more scalable configuration supports hundreds of thousands of
      backends and certificates without sweating

  * Upload to unstable, merge all 1.5 work from experimental. Most important
    packaging changes since 1.4.25-1 include:
    + systemd support.
    + A more sane default config file.
    + Zero-downtime upgrades between 1.5 releases by gracefully reloading
      HAProxy during upgrades.
    + HTML documentation shipped in the haproxy-doc package.
    + kqueue support for kfreebsd.

  * Packaging changes since 1.5~dev26-2:
    + Drop patches merged upstream:
      o Fix-reference-location-in-manpage.patch
      o 0001-BUILD-stats-workaround-stupid-and-bogus-Werror-forma.patch
    + d/watch: look for stable 1.5 releases
    + systemd: respect CONFIG and EXTRAOPTS when specified in
      /etc/default/haproxy.
    + initscript: test the configuration before start or reload.
    + initscript: remove the ENABLED flag and logic.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Fri, 20 Jun 2014 11:05:17 +0300

haproxy (1.5~dev26-2) experimental; urgency=medium

  * initscript: start should not fail when haproxy is already running
    + Fixes upgrades from post-1.5~dev24-1 installations

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Wed, 04 Jun 2014 13:20:39 +0300

haproxy (1.5~dev26-1) experimental; urgency=medium

  * New upstream development version.
     + Add a patch to fix compilation with -Werror=format-security

 -- Vincent Bernat <bernat@debian.org>  Wed, 28 May 2014 20:32:10 +0200

haproxy (1.5~dev25-1) experimental; urgency=medium

  [ Vincent Bernat ]
  * New upstream development version.
  * Rename "contimeout", "clitimeout" and "srvtimeout" in the default
    configuration file to "timeout connection", "timeout client" and
    "timeout server".

  [ Apollon Oikonomopoulos ]
  * Build on kfreebsd using the "freebsd" target; enables kqueue support.

 -- Vincent Bernat <bernat@debian.org>  Thu, 15 May 2014 00:20:11 +0200

haproxy (1.5~dev24-2) experimental; urgency=medium

  * New binary package: haproxy-doc
    + Contains the HTML documentation built using a version of Cyril Bonté's
      haproxy-dconv (https://github.com/cbonte/haproxy-dconv).
    + Add Build-Depends-Indep on python and python-mako
    + haproxy Suggests: haproxy-doc
  * systemd: check config file for validity on reload.
  * haproxy.cfg:
    + Enable the stats socket by default and bind it to
      /run/haproxy/admin.sock, which is accessible by the haproxy group.
      /run/haproxy creation is handled by the initscript for sysv-rc and a
      tmpfiles.d config for systemd.
    + Set the default locations for CA and server certificates to
      /etc/ssl/certs and /etc/ssl/private respectively.
    + Set the default cipher list to be used on listening SSL sockets to
      enable PFS, preferring ECDHE ciphers by default.
  * Gracefully reload HAProxy on upgrade instead of performing a full restart.
  * debian/rules: split build into binary-arch and binary-indep.
  * Build-depend on debhelper >= 9, set compat to 9.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 27 Apr 2014 13:37:17 +0300

haproxy (1.5~dev24-1) experimental; urgency=medium

  * New upstream development version, fixes major regressions introduced in
    1.5~dev23:

    + Forwarding of a message body (request or response) would automatically
      stop after the transfer timeout strikes, and with no error.
    + Redirects failed to update the msg->next offset after consuming the
      request, so if they were made with keep-alive enabled and starting with
      a slash (relative location), then the buffer was shifted by a negative
      amount of data, causing a crash.
    + The code to standardize DH parameters caused an important performance
      regression for, so it was temporarily reverted for the time needed to

