=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
            Prach Pongpanich <prachpub@gmail.com>,
            Vincent Bernat <bernat@debian.org>
 Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 7.0.50~), libpcre3-dev
+Build-Depends: debhelper (>= 9), libpcre3-dev, libssl-dev,
+               dh-systemd (>= 1.5)
+Build-Depends-Indep: python, python-mako
 Homepage: http://haproxy.1wt.eu/
 Vcs-Git: git://anonscm.debian.org/pkg-haproxy/haproxy.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-haproxy/haproxy.git
@@ -14,7 +16,7 @@
 Package: haproxy
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
-Suggests: vim-haproxy
+Suggests: vim-haproxy, haproxy-doc
 Description: fast and reliable load balancing reverse proxy
  HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
  availability environments. It features connection persistence through HTTP
@@ -36,6 +38,20 @@
  .
  This package contains the debugging symbols for haproxy.
 
+Package: haproxy-doc
+Section: doc
+Priority: extra
+Architecture: all
+Depends: ${misc:Depends}, libjs-twitter-bootstrap (<< 3), libjs-jquery
+Description: fast and reliable load balancing reverse proxy (HTML documentation)
+ HAProxy is a TCP/HTTP reverse proxy which is particularly suited for high
+ availability environments. It features connection persistence through HTTP
+ cookies, load balancing, header addition, modification, deletion both ways. It
+ has request blocking capabilities and provides interface to display server
+ status.
+ .
+ This package contains the HTML documentation for haproxy.
+
 Package: vim-haproxy
 Architecture: all
 Depends: ${misc:Depends}
