## haproxy 1.5.4

=== debian/changelog ===
haproxy (1.5.4-1ubuntu1) utopic; urgency=medium

  * haproxy.init: return 0 on stop if haproxy was not running.  (LP: #1038139)

 -- Serge Hallyn <serge.hallyn@ubuntu.com>  Tue, 23 Sep 2014 12:06:17 -0500

haproxy (1.5.4-1) unstable; urgency=high

  * New upstream version.
    + Fix a critical bug that, under certain unlikely conditions, allows a
      client to crash haproxy.
  * Prefix rsyslog configuration file to ensure to log only to
    /var/log/haproxy. Thanks to Paul Bourke for the patch.

 -- Vincent Bernat <bernat@debian.org>  Tue, 02 Sep 2014 19:14:38 +0200
